#!/bin/bash

if [ "`basename $PWD`" == "tools" ]; then
    PREFIX="../"
fi

TMPDIR=/tmp
NAME=`cat ${PREFIX}configure.in | grep PACKAGE= | cut -d = -f2`
VERSION=`date "+%m%d%y_devel"`

if [ -e ${PREFIX}Makefile ]; then
    if [ ! -z "$PREFIX" ]; then
	cd $PREFIX
	make distclean
	cd -
     else
	make distclean
    fi
fi


tar -cvzf ${TMPDIR}/${NAME}-${VERSION}.tar.gz ${PREFIX}../${NAME}-devel
